Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uci.ics.jung.graph.decorators
Class ConstantEdgeValue

    java.lang.Object
      edu.uci.ics.jung.graph.decorators.ConstantEdgeValue

All Implemented Interfaces:
  NumberEdgeValue

public class ConstantEdgeValue
extends Object
implements NumberEdgeValue

Returns a constructor-specified constant value for each edge.

Author:
  Joshua O'Madadhain

Field Summary
`protected Number` | `value`

Constructor Summary
`ConstantEdgeValue(double value)`
`ConstantEdgeValue(Number value)`

Method Summary
`Number` | `getNumber(ArchetypeEdge arg0)`
`void` | `setNumber(ArchetypeEdge arg0, Number arg1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    protected Number value

Constructor Detail

### ConstantEdgeValue

    public ConstantEdgeValue(double value)

### ConstantEdgeValue

    public ConstantEdgeValue(Number value)

Method Detail

### getNumber

    public Number getNumber(ArchetypeEdge arg0)

  Specified by:
    `getNumber` in interface `NumberEdgeValue`
  Parameters:
    `arg0` - the edge to examine
  Returns:
    the Number associated with this edge
  See Also:
    `NumberEdgeValue.getNumber(edu.uci.ics.jung.graph.ArchetypeEdge)`

### setNumber

    public void setNumber(ArchetypeEdge arg0,
                          Number arg1)

  Specified by:
    `setNumber` in interface `NumberEdgeValue`
  Parameters:
    `arg0` - the edge whose value we're setting
    `arg1` - the Number to which we're setting the edge
  See Also:
    `NumberEdgeValue.setNumber(edu.uci.ics.jung.graph.ArchetypeEdge, java.lang.Number)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD